/**
 * Copyright 2011 The Kuali Foundation Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package org.kuali.common.impex.util.spring;

import org.kuali.common.impex.model.Schema;
import org.kuali.common.impex.schema.service.SchemaExtractionResult;
import org.kuali.common.impex.spring.XmlSchemaConfig;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Import;

@Configuration
@Import(XmlSchemaConfig.class)
public class XmlSchemaExtractionConfig {

    @Autowired
    Schema schema;

    @Bean
    public SchemaExtractionResult extractionResult() {
        SchemaExtractionResult result = new SchemaExtractionResult();
        result.setSchema(schema);

        return result;
    }

}
